﻿using Syncfusion.XForms.DataForm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataForm_Editor
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            Xamarin.Forms.NavigationPage.SetHasNavigationBar(this, false);
            picker.Items.Add("teste1");
        }

        void Handle_SelectedIndexChanged(object sender, System.EventArgs e) {
            dataForm.IsVisible = true;
            dataForm.RefreshLayout(true);
            AddressInfo df = (AddressInfo)dataForm.DataObject;
            df.Nome = "anibal";
            df.Sobrenome = "de deus";
        }

        void dataformRefreshLayout(SfDataForm sender, Syncfusion.XForms.DataForm.AutoGeneratingDataFormItemEventArgs e) {
            if (picker.SelectedItem != null) {
                showHide(e);
            }
            if (e.DataFormGroupItem != null)
                e.DataFormGroupItem.IsExpanded = false;
        }

        private void showHide(AutoGeneratingDataFormItemEventArgs e) {
            if (e.DataFormItem == null) return;
            //declaracoes
            if (e.DataFormItem.Name == "AscendentePortugues") e.Cancel = true;
            if (e.DataFormItem.Name == "ManterNome") e.Cancel = true;
            if (e.DataFormItem.Name == "NovoNome") e.Cancel = true;
            if (e.DataFormItem.Name == "NovoApelidos") e.Cancel = true;
            //representantes
            if (e.DataFormItem.Name == "R2Nome") e.Cancel = true;
            if (e.DataFormItem.Name == "R2Endereco") e.Cancel = true;
            if (e.DataFormItem.Name == "R2Cidade") e.Cancel = true;
            if (e.DataFormItem.Name == "R2UF") e.Cancel = true;
            if (e.DataFormItem.Name == "R2Pais") e.Cancel = true;
            if (e.DataFormItem.Name == "R2CodPostal") e.Cancel = true;
            if (e.DataFormItem.Name == "R2Telefone") e.Cancel = true;
            if (e.DataFormItem.Name == "R2Qualidade") e.Cancel = true;
            if (e.DataFormItem.Name == "R2Email") e.Cancel = true;
        }
    }
}
